"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useViewSizeDetector = void 0;
var _react = require("react");
/** @format */

const useViewSizeDetector = () => {
  const [size, setSize] = (0, _react.useState)();
  const onLayout = (0, _react.useCallback)(({
    nativeEvent: {
      layout: {
        width,
        height
      }
    }
  }) => {
    setSize({
      width,
      height
    });
  }, []);
  return {
    size,
    onLayout
  };
};
exports.useViewSizeDetector = useViewSizeDetector;
//# sourceMappingURL=useViewSizeDetector.js.map